function EA_Stacking_Alerts_OnLoad()

    UIPanelWindows["EA_Stacking_Alerts_Frame"] = {area = "center", pushable = 0};

end

function EA_Stacking_Alerts_OnShow()
	for index,value in pairs(EA_StackingItemsCounts[EA_playerClass]) do
        local tempStackingName = _G[index.."ChargeBox"];
        tempStackingName:SetFontObject(ChatFontNormal);
		tempStackingName:SetText(value);
	end
end




function EventAlert_StackingAlert_SaveSetting()

	for index,value in pairsByKeys(EA_StackingItems[EA_playerClass]) do
		if (type(value) == "number") then
			value = tostring(index)
		elseif (type(value) == "boolean") then
			if (value) then
				value = "true"
		    else
			    value = "false"
		    end
		  end

        local tempStackingName = _G[index.."ChargeBox"];
        local tempStacking = tempStackingName:GetText();
        if (tempStacking == nil or tempStacking == "") then
        	tempStacking = 1;
        end

        EA_StackingItemsCounts[EA_playerClass][index] = tonumber(tempStacking);

   		local EA_name, EA_rank = GetSpellInfo(index);
	    DEFAULT_CHAT_FRAME:AddMessage(EA_name.." ["..index.."] will now only alert on "..tempStacking.." charges or more.");
    end

end





function pairsByKeys (t, f)
	local a = {}
		for n in pairs(t) do table.insert(a, n) end
		table.sort(a, f)
		local i = 0      -- iterator variable
		local iter = function ()   -- iterator function
			i = i + 1
			if a[i] == nil then return nil
			else return a[i], t[a[i]]
			end
		end
	return iter
end

function EA_Stacking_Alerts_Frame_MouseDown(button)
    if button == "LeftButton" then
       EA_Stacking_Alerts_Frame:StartMoving();
    end
end

function EA_Stacking_Alerts_Frame_MouseUp(button)
    if button == "LeftButton" then
        EA_Stacking_Alerts_Frame:StopMovingOrSizing();
    end
end